# $Revision: 1.13 $, $Date: 2004/07/04 15:39:20 $
Summary:	You are watched!
Summary(pl):	Jeste obserwowany!
Name:		penguineyes
Version:	0.10
Release:	3
License:	GPL
Group:		X11/Amusements
Source0:	http://ftp.debian.org/debian/pool/main/p/penguineyes/%{name}_%{version}.orig.tar.gz
# Source0-md5:	f17906b904b5e640f06427b81df53f4a
Source1:	%{name}.desktop
Source2:	%{name}-bilgejc.tar.gz
# Source2-md5:	c3c0c4a3dc68e088d76f86dad2f0abfb
Patch0:		%{name}-time.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel >= 1.2.6
BuildRequires:	imlib-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PenguinEyes is clone of xeyes. It shows penguin (or something else),
which will be looking at your cursor.

%description -l pl
PenguinEyes jest klonem xeyes. Pokazuje pingwina (lub co innego),
ktry bdzie obserwowa twj kursor.

%prep
%setup -q -a2 -n %{name}-%{version}.orig
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%{configure} \
	--disable-gnome
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install bilgejc* $RPM_BUILD_ROOT%{_datadir}/penguineyes/Default
cat penguineyesrc >> $RPM_BUILD_ROOT%{_datadir}/penguineyes/Config/penguineyesrc

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install penguinize.png $RPM_BUILD_ROOT%{_pixmapsdir}/penguineyes.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README TODO THEMES
%attr(755,root,root) %{_bindir}/*
%{_datadir}/penguineyes
%{_pixmapsdir}/*
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: penguineyes.spec,v $
Revision 1.13  2004/07/04 15:39:20  havner
- applnk -> vfolders

Revision 1.12  2004/04/26 17:31:34  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.11  2003/06/27 14:38:23  qboosh
- more macros

Revision 1.10  2003/05/28 13:00:18  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/01/18 22:54:56  juandon
- removed two lines with define

Revision 1.7  2002/11/29 22:45:55  ankry
- massive attack: new %%doc

Revision 1.6  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.5  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.4  2002/05/21 23:14:21  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/03/02 17:15:44  wolf
- updated to 0.10

Revision 1.2  2002/03/01 09:18:31  wolf
- Note: after upgrade to 0.10 check if it works in icewm (it do not for me.)

Revision 1.1  2002/02/28 09:42:17  wolf
- initial release
- TODO: update to 0.10
